"use client";
import { useTheme } from "../components/ThemeProvider";

export default function Sidebar() {
  const { darkMode, toggleDarkMode } = useTheme();

  return (
    <div className={`w-64 h-screen p-4 ${darkMode ? 'dark:bg-gray-800' : 'bg-gray-200'}`}>
      <button
        onClick={toggleDarkMode}
        className={`p-2 rounded w-full ${
          darkMode ? 'dark:bg-gray-700 dark:text-white' : 'bg-gray-300 text-black'
        }`}
      >
        {darkMode ? "☀️ Switch to Light Mode" : "🌙 Switch to Dark Mode"}
      </button>
      
      {/* Debug Info */}
      <div className="mt-4 p-3 rounded bg-white dark:bg-gray-900">
        <p>Current Mode: <strong>{darkMode ? "Dark" : "Light"}</strong></p>
        <p>HTML Class: <strong>{darkMode ? "dark" : "light"}</strong></p>
      </div>
    </div>
  );
}